<mat-expansion-panel expanded>
    <mat-expansion-panel-header>
      <mat-panel-title>Data type</mat-panel-title>
      <mat-panel-description>
        Selected type: {{selectedType?.name || "No type selected"}}
      </mat-panel-description>
    </mat-expansion-panel-header>
    <div class="card-list">
        <mat-card
        [appearance]="'outlined'"
        *ngFor="let type of types"
        (click)="setSelectedType(type)"
        mat-ripple
        [ngClass]="type == selectedType ? 'selected' : ''">
            <mat-card-content>{{type.name}}</mat-card-content>
            <mat-card-footer></mat-card-footer>
        </mat-card>
    </div>
</mat-expansion-panel>
<div>
  <ng-template #viewContainerRef></ng-template>
</div>